<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0">
    

    
<!-- 
    This XSLT stylesheet is very simplistic.  It extracts all of the
    element text from the input XML document and inserts that text
    into a bare-bones HTML page. This transformation is useful for
    testing whether external parsed general entities are being resolved.
    It will serve the same purpose for testing the resolution of
    XInclude includes.  You should see the text from every element
    that is part of the input document in the HTML page that is generated.
    It takes some patience to identify all of the element contents when they
    are not surrounded by markup. But, with practice, it can be done.   
    -->    
    
<xsl:template match="/">
    <html xmlns="http://www.w3.org/1999/xhtml">
        <head>
            <title>Test Transform 1 Output</title>
        </head>
        <body>
            <xsl:apply-templates/>        
        </body>
    </html>
</xsl:template>
    
</xsl:stylesheet>